#!/bin/bash
ROOT_DIR=$(dirname $(realpath -s $0))
mkdir -p $ROOT_DIR/builds
docker run --rm -it -v $ROOT_DIR:/home/user/src/qf kdeorg/android-sdk bash -c "git clone --depth 1 kde:sysadmin/ci-tooling;/opt/helpers/build-kde-project kcoreaddons Frameworks -DBUILD_TESTING=OFF; /opt/helpers/build-kde-project kirigami Frameworks -DBUILD_TESTING=OFF;/opt/helpers/build-cmake qf qf -DQTANDROID_EXPORTED_TARGET=qiflora -DANDROID_APK_DIR=/home/user/src/qf/packaging/android -DANDROID_APK_OUTPUT_DIR=/home/user/src/qf/builds;make -C /home/user/build-arm/qf create-apk;make -C /home/user/build-arm64/qf create-apk"
